Package org.jbpm.kie.services.impl.admin

## Class MigrationEntryImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.MigrationEntryImpl

- All Implemented Interfaces:
    `Serializable`, `MigrationEntry`

      public class MigrationEntryImpl
      extends Object
      implements MigrationEntry, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MigrationEntryImpl​(Date timestamp, String message, String type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getMessage()` | Returns actual message of the entry
    `Date` | `getTimestamp()` | Return timestamp of the entry - when it was created
    `String` | `getType()` | Returns type of the entry - INFO, WARN, ERROR
    `void` | `setMessage​(String message)` |
    `void` | `setTimestamp​(Date timestamp)` |
    `void` | `setType​(String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MigrationEntryImpl

          public MigrationEntryImpl​(Date timestamp,
                                    String message,
                                    String type)

  - ### Method Detail

    - #### getTimestamp

          public Date getTimestamp()

      Description copied from interface: `MigrationEntry`
      Return timestamp of the entry - when it was created
      Specified by:
        `getTimestamp` in interface `MigrationEntry`
      Returns:
        entry timestamp

    - #### setTimestamp

          public void setTimestamp​(Date timestamp)

    - #### getMessage

          public String getMessage()

      Description copied from interface: `MigrationEntry`
      Returns actual message of the entry
      Specified by:
        `getMessage` in interface `MigrationEntry`
      Returns:
        entry message

    - #### setMessage

          public void setMessage​(String message)

    - #### getType

          public String getType()

      Description copied from interface: `MigrationEntry`
      Returns type of the entry - INFO, WARN, ERROR
      Specified by:
        `getType` in interface `MigrationEntry`
      Returns:
        entry

    - #### setType

          public void setType​(String type)